Bug 190956 (php-pear-Auth-SASL) - Review Request: php-pear-Auth-SASL
Summary: Review Request: php-pear-Auth-SASL
Status: CLOSED NEXTRELEASE
Alias: php-pear-Auth-SASL
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT php-pear-Net-SMTP
TreeView+ depends on / blocked
 
Reported: 2006-05-07 09:13 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 16:52:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2006-05-07 09:13:22 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Auth-SASL.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Auth-SASL-1.0.1-1.fc5.src.rpm
Description: 
Provides code to generate responses to common SASL mechanisms, including:
o Digest-MD5
o CramMD5
o Plain
o Anonymous
o Login (Pseudo mechanism)

Comment 3 Christopher Stone 2006-06-27 09:54:34 UTC
I will do a formal review on this package but you will not be able to check it
in until you are sponsered with bug #190007

Comment 4 Remi Collet 2006-06-27 16:45:22 UTC
Hello.
I'm already sponsored by Aurelien Bompard (see Bug #190066).
I'm going to mail him about the FE_NEEDSPONSOR on my other package review.


Comment 5 Jason Tibbitts 2006-06-27 18:57:09 UTC
Yes, you are already sponsored and in the cvsextras group.  I have removed
FE-NEEDSPONSOR from your tickets which had it; if I missed some, go ahead and
fix them as well.

Comment 6 Christopher Stone 2006-06-27 22:08:12 UTC
MUST ITEM CHECKLIST:
- rpmlint output:
W: php-pear-Auth-SASL no-documentation
W: php-pear-Auth-SASL dangerous-command-in-%post install

Should obtain copy of license and include it in %doc
The dangerous command can be ignored


- package is named according to php packaging naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package is licensed with open source compatible license
- license field matches actual license
- source does not contain license file
- spec file is in American English (and french)
- spec file is legible
- sources match upstream
e6a4f4e56dec992ac965678233437aa4  Auth_SASL-1.0.2.tgz
- package successfully compiles and builds on FC-5 x86_64
O This package is missing:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- package does not use locales
- package does not contain shared libraries in default paths (no need to run
ldconfig)
- package is not relocatable
- package does not own all directories it creates
It does not own the /usr/share/pear/Auth directory.
- package does not contain any duplicate %files
- permissions are set properly
- package contains proper %clean section
- macro usage is consistant
- package contains permissible content
- package does not have large documentation
- package does not include header files or static libraries
- package does not use pkgconfig files
- package does not contain library with suffix
- package does not require a devel subpackage
- package does not contain any .la files
- package is not a gui and does not need a .desktop file
- package does not own files or directories owned by other packages
This may not be true once php-pear-Auth is packaged

SHOULD
- Include a copy of BSD license and add it to %doc

MUST
- Must own the /usr/share/pear/Auth directory add a %dir %{peardir}/Auth might
need some discussion with php packages on how to handle shared directories as
other packages in the future will need to own this directory as well.
- Must Add:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- Explain why adding  || : in %post and %postun sections was added, should we
not fail if this step fails?
- Change %defattr to (-,root,root,-)

Comment 7 Christopher Stone 2006-06-27 22:08:55 UTC
Please also remove the dist tags from the spec file's changelog

Comment 8 Christopher Stone 2006-06-27 22:10:06 UTC
regarding the directory ownership of /usr/share/pear/Auth

15:17:11           spot |  XulChris: if there is no clear requires hierarchy,
then yes, they should all own it

So if future packages include this directory then they also should own it.

Comment 9 Christopher Stone 2006-06-28 09:43:40 UTC
Also, please add php >= 4.0.0 to the Requires to meet PHP packaging guidelines

Comment 12 Christopher Stone 2006-09-03 23:57:55 UTC
Looks good.  Approved.

Comment 13 Remi Collet 2007-03-31 08:23:15 UTC
Package Change Request
======================
Package Name: php-pear-Auth-SASL
New Branches: EL-5

Comment 14 Jens Petersen 2007-04-02 12:51:58 UTC
done


Note You need to log in before you can comment on or make changes to this bug.